config/routes.rb
Rails.application.routes.draw do

 root :to => 'pages#front'
  
 get 'ui(/:action)', controller: 'ui'
 
 get '/ruby-version' => 'application#ruby_version'

 resources :funds, except: [:destroy]
 resources :patrons, except: [:destroy]
 
 resources :recharges do
   collection do
     get 'search', to: 'recharges#search'
     get 'process_batch', to: 'recharges#process_batch'
     get 'create_output', to: 'recharges#create_output'
     get 'ftp_file', to: 'recharges#ftp_file'
   end 
 end

 resources :invoices do
   collection do
     get 'search', to: 'invoices#search'
     get 'process_batch', to: 'invoices#process_batch'
     get 'create_charge_output', to: 'invoices#create_charge_output'
     get 'create_person_output', to: 'invoices#create_person_output'
     get 'create_entity_output', to: 'invoices#create_entity_output'
     get 'ftp_file', to: 'invoices#ftp_file'
     get 'create_report', to: 'invoices#create_report'
     get 'merge_records', to: 'invoices#merge_records'
   end
 end

 get '/invoices/:id/create_bill', to: 'invoices#create_bill', as: :create_bill_invoice

 get "/signin", to: 'sessions#new', as: :signin
 get "/auth/shibboleth", as: :shibboleth
 get "/auth/developer", to: 'sessions#developer', as: :developer
 match "/auth/shibboleth/callback" => "sessions#shibboleth", as: :callback, via: [:get, :post]
 match "/signout" => "sessions#destroy", as: :signout, via: [:get, :post]
end

app/views/pages/front.html.haml
%section.site_title
  %h1.text-center
    Welcome to Billing ILL
  - if logged_in?
    .col-xs-12.text-center
      %ol.front-search-parent
        %li.front-search-recharge
          %a{:href => "#"} Find Recharges 
        .front-search-form-recharge
          = form_tag search_recharges_path, method: "GET", id: "myForm" do
            .input-group.front-input
              %input.form-control.search-input(name="search_term" type="text" placeholder="Search by Index Code")
                .input-group-btn
                  %button.btn.btn-default(type="submit")
                    %span.glyphicon.glyphicon-search.right2{"aria-hidden" => "true"}
        %li.front-search-invoice
          %a{:href => "#"} Find Invoices 
        .front-search-form-invoice
          = form_tag search_invoices_path, method: "GET", id: "myForm" do
            .input-group.front-input
              %input.form-control.search-input(name="search_term" type="text" placeholder="Search Invoice by Patron Name or #")
              .input-group-btn
                %button.btn.btn-default(type="submit")
                  %span.glyphicon.glyphicon-search.right2{"aria-hidden" => "true"}
            .row.text-center.search-options
              .span12.top15
                %span.radio-label
                  Search By:
                %label.radio-inline
                  %input{:type => "radio", :name => "search_option", :value => "patron_name"}
                    Patron Name
                %label.radio-inline
                  %input{:type => "radio", :name => "search_option", :value => "invoice_num"}
                    Invoice Number   
  - else
    %h2.text-center
      = link_to "Please Sign In", signin_path